Debian GNU/Linux 2.1r4 est sortie

15 décembre 1999

Une nouvelle mise à jour de Debian GNU/Linux 2.1 (dite Slink) est sortie. Cette version, la 2.1r4, contient à la fois des mises à jour de sécurité et liées au bogue de l'an 2000.

À notre connaissance, il ne reste plus de problèmes liés à l'an 2000. Si nous en découvrons d'autres, nous les consignerons sur la page faite pour cela : http://www.debian.org/y2k/.

Voici la liste complète des changements de cette mise à jour :

Mise à jour de sécurité :
  paquet       : amd
  version      : 102-23.slink2
  architectures: alpha i386 m68k sparc
  vulnérabilité: faille à distance

  paquet       : bind
  version      : 8.2.2p5-0slink1
  architectures: alpha i386 m68k sparc
  vulnérabilité: DoS à distance

  paquet       : dump
  version      : 0.4b9-0slink1
  architectures: alpha i386 m68k sparc
  vulnérabilité: faille en local

  paquet       : kernel-source-2.0.38
  version      : 2.0.38-0
  architectures: i386
  vulnérabilité: divers

  paquet       : htdig
  version      : 3.1.2-4slink6
  architectures: alpha i386 m68k sparc
  vulnérabilité: faille à distance

  paquet       : inn
  version      : 1.7.2-4.1
  architectures: alpha i386 m68k sparc
  vulnérabilité: débordement de tampon dans inews

  paquet       : lpr
  version      : 0.46-1-0slink1
  architectures: alpha i386 m68k sparc
  vulnérabilité: faille locale (les utilisateurs pouvaient imprimer
                 des fichiers qu'ils n'étaient pas autorisés à lire)

  paquet       : mirror
  version      : 2.9-2.1
  architectures: toutes
  vulnérabilité: faille à distance

  paquet       : netkit-telnet
  version      : 0.12-4slink.1
  architectures: alpha i386 m68k sparc
  vulnérabilité: DoS à distance

  paquet       : nfs-server
  version      : 2.2beta37-1slink.1
  architectures: alpha i386 m68k sparc
  vulnérabilité: faille à distance

  paquet       : nis
  version      : 3.5-2
  architectures: alpha i386 m68k sparc
  vulnérabilité: faille à distance

  paquet       : proftpd
  version      : 1.2.0pre9-4
  architectures: alpha i386 m68k sparc
  vulnérabilité: faille à distance

  paquet       : pvm
  version      : 3.4beta7-4
  architectures: i386
  vulnérabilité: faille locale

  paquet       : rvplayer
  version      : 5.0-9
  architectures: i386
  vulnérabilité: faille locale

  paquet       : termcap-compat
  version      : 1.1.2
  architectures: i386 m68k (pas applicable à alpha)
  vulnérabilité: faille locale (débordement de tampons)

  paquet       : sendmail
  version      : 8.9.3-3slink1.0.1
  architectures: alpha i386 m68k sparc
  vulnérabilité: faille locale

  paquet       : sendmail-wide
  version      : 8.9.3+3.2W-3slink1
  architectures: alpha i386 m68k sparc
  vulnérabilité: faille locale


Mises à jour liées à l'an 2000 :
  paquet       : cvs
  version      : 1.10.7-1.99.slink.y2k.0
  architectures: alpha i386 m68k sparc
  problème     : date dans les journaux

  paquet       : egcs
  version      : 1.1.2-0slink1 and 1.1.2-0slink2
  architectures: alpha i386 m68k sparc
  problème     : gestion des dates dans g77

  paquet       : elm-me+
  version      : 2.4pl25ME+65-0.slink.0
  architectures: alpha i386 m68k sparc
  problème     : une mauvaise gestion des nombres longs causait des
                 erreurs dans le tri des dates

  paquet       : enscript
  version      : 1.6.2-3.99.slink.y2k.0
  architectures: alpha i386 m68k sparc
  problème     : Les versions < 1.6.1 sont connues pour avoir des
                 problèmes avec les dates de l'an 2000.

  paquet       : gnats
  version      : 3.113-0slink1
  architectures: alpha i386 m68k sparc
  problème     : corrige un bogue de l'an 2000

  paquet       : gs
  version      : 5.10-3.99.slink.1
  architectures: alpha i386 m68k sparc
  problème     : corrige un bogue de l'an 2000

  paquet       : sharutils
  version      : 1:4.2.1-1
  architectures: alpha i386 m68k sparc
  problème     : gestion des dates dans les fichiers shar

  paquet       : smartlist
  version      : 3.13-2
  architectures: alpha i386 m68k sparc
  problème     : numéro de volume dans le traitement des résumés

Autre mises à jour :
  paquet       : boot-floppies
  version      : 2.1.12
  architecture : i386
  problème     : mise à jour pour le noyau 2.0.38

  paquet       : mew
  version      : 1.93-2
  architectures: m68k
  problème     : synchronisation avec les autres architectures

  paquet       : pcmcia-cs
  version      : 3.0.5-10.slink.1
  architectures: i386
  problème     : recompilation pour le nouveau noyau 2.0.38

  paquet       : selfhtml
  version      : 7.0-3
  architectures: alpha i386 m68k sparc
  problème     : violation de marque protégée

  paquet       : trn
  version      : 3.6-9.3.2
  architectures: m68k
  problème     : synchronisation avec les autres architectures

  paquet       : vflib2
  version      : 2.24.2-2.99.slink.0
  architectures: alpha i386 m68k sparc
  problème     : nécessaire pour le nouveau gs

Remarques :
* la mise à jour pour nfs-server pour l'architecture sparc a un numéro de version inférieur à celui utilisé jusque là. Vous devez mettre ce paquet à jour manuellement.